org.h2.mvstore.type

## Interface StatefulDataType.Factory<D>

Type Parameters:
  `D` - the database type

All Known Implementing Classes:
  RowDataType.Factory, ValueDataType.Factory, VersionedValueType.Factory

Enclosing interface:
  StatefulDataType<D>

    public static interface StatefulDataType.Factory<D>

A factory for data types.

### Method Summary

All Methods Instance Methods Abstract Methods
`DataType<?>` `create(java.nio.ByteBuffer buff, MetaType<D> metaDataType, D database)` Reads the data type.

### Method Detail

#### create

    DataType<?> create(java.nio.ByteBuffer buff,
                       MetaType<D> metaDataType,
                       D database)

Reads the data type.

Parameters:
  `buff` - the buffer the source buffer
  `metaDataType` - the type
  `database` - the database
Returns:
  the data type